Subject: Re: .gitlink for Summer of Code

From: Martin Waitz <[email-masked]>
Date: Mon, 26 Mar 2007 20:35:23 +0200

hoi :)

On Mon, Mar 26, 2007 at 10:38:08AM -0700, Eric Lesh wrote:
> > Light checkouts would have an almost empty .git (it still needs an
> > index, and its own head anyway) and use the .git of the main repo for
> > everything else.
> > 
> 
> Josef Weidendorfer tried to implement this before, and he concluded that
> having a _text file_ .git, instead of a directory, would be a good way
> to distinguish .gitlinked checkouts from normal checkouts.

but that does not allow for per-checkout HEAD and index.
I don't see any reason for providing any sort for "gitlink" which
also uses HEAD and index from the linked location -- then you could
use a simple symlink, too.  So having an almost empty .git directory
and reusing parts from another .git directory makes a lot of sense to
me.

-- 
Martin Waitz